This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### loadShape()
Examples |
    PShape s;

    void setup() {
      size(100, 100);
      // The file "bot.svg" must be in the data folder
      // of the current sketch to load successfully
      s = loadShape("bot.svg");
    }

    void draw() {
      shape(s, 10, 10, 80, 80);
    }
    PShape s;

    void setup() {
      size(100, 100, P3D);
      // The file "bot.obj" must be in the data folder
      // of the current sketch to load successfully
      s = loadShape("bot.obj");
    }

    void draw() {
      background(204);
      translate(width/2, height/2);
      shape(s, 0, 0);
    }
Description | Loads geometry into a variable of type PShape. SVG and OBJ files may be loaded. To load correctly, the file must be located in the data directory of the current sketch. In most cases, loadShape() should be used inside setup() because loading shapes inside draw() will reduce the speed of a sketch. Alternatively, the file maybe be loaded from anywhere on the local computer using an absolute path (something that starts with / on Unix and Linux, or a drive letter on Windows), or the filename parameter can be a URL for a file found on a network. If the file is not available or an error occurs, null will be returned and an error message will be printed to the console. The error message does not halt the program, however the null value may cause a NullPointerException if your code does not check whether the value returned is null.
Syntax |
    loadShape(filename)
    loadShape(filename, options)
Parameters |
filename | String: name of file to load, can be .svg or .obj
Returns | PShape
Related | PShape createShape()

Updated on October 26, 2013 08:58:31pm PDT